import { ModuleWithProviders } from '@angular/core';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { TourAnchorNgxBootstrapDirective, TourAnchorNgxBootstrapPopoverDirective } from './tour-anchor.directive';
import { TourStepTemplateComponent } from './tour-step-template.component';
import { NgxbTourService } from './ngx-bootstrap-tour.service';
import * as i0 from "@angular/core";
import * as i1 from "./tour-anchor.directive";
import * as i2 from "./tour-step-template.component";
import * as i3 from "@angular/common";
import * as i4 from "ngx-bootstrap/popover";
import * as i5 from "ngx-ui-tour-core";
export { TourAnchorNgxBootstrapDirective, TourAnchorNgxBootstrapPopoverDirective, TourStepTemplateComponent, NgxbTourService };
export declare const popoverForRoot: ModuleWithProviders<PopoverModule>;
export declare class TourNgxBootstrapModule {
    static forRoot(): ModuleWithProviders<TourNgxBootstrapModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourNgxBootstrapModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TourNgxBootstrapModule, [typeof i1.TourAnchorNgxBootstrapDirective, typeof i1.TourAnchorNgxBootstrapPopoverDirective, typeof i2.TourStepTemplateComponent], [typeof i3.CommonModule, typeof i4.PopoverModule, typeof i5.TourModule], [typeof i1.TourAnchorNgxBootstrapDirective, typeof i1.TourAnchorNgxBootstrapPopoverDirective, typeof i2.TourStepTemplateComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TourNgxBootstrapModule>;
}
