import { AfterContentInit, TemplateRef } from '@angular/core';
import { IStepOption, TourHotkeyListenerComponent } from 'ngx-ui-tour-core';
import { NgxbTourService } from './ngx-bootstrap-tour.service';
import { TourStepTemplateService } from './tour-step-template.service';
import * as i0 from "@angular/core";
export declare class TourStepTemplateComponent extends TourHotkeyListenerComponent implements AfterContentInit {
    private tourStepTemplateService;
    tourService: NgxbTourService;
    defaultTourStepTemplate: TemplateRef<any>;
    stepTemplate: TemplateRef<{
        step: IStepOption;
    }>;
    stepTemplateContent: TemplateRef<{
        step: IStepOption;
    }>;
    constructor(tourStepTemplateService: TourStepTemplateService, tourService: NgxbTourService);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourStepTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TourStepTemplateComponent, "tour-step-template", never, { "stepTemplate": "stepTemplate"; }, {}, ["stepTemplateContent"], never>;
}
